Valider l'intégration d'un site
Prouve que le CDN du site remet aux agents la copie d’une page.
POST
/
v1
/
ai-rendering
/
sites
/
{id}
/
verifications
Verify a site's integration
curl --request POST \
--url https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://www.example.com/products/down-jacket",
"questions": [
"What is the fill power of the jacket?"
]
}
'import requests
url = "https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications"
payload = {
"url": "https://www.example.com/products/down-jacket",
"questions": ["What is the fill power of the jacket?"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://www.example.com/products/down-jacket',
questions: ['What is the fill power of the jacket?']
})
};
fetch('https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://www.example.com/products/down-jacket',
'questions' => [
'What is the fill power of the jacket?'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications"
payload := strings.NewReader("{\n \"url\": \"https://www.example.com/products/down-jacket\",\n \"questions\": [\n \"What is the fill power of the jacket?\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://www.example.com/products/down-jacket\",\n \"questions\": [\n \"What is the fill power of the jacket?\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://www.example.com/products/down-jacket\",\n \"questions\": [\n \"What is the fill power of the jacket?\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"verification": {
"id": "7d0f6a1e-93b2-4f0b-8f6e-5a2c1d9e4b70",
"siteId": "5b0e9f52-6a3c-4f0e-8d0b-2c7e4a1f9d33",
"url": "https://www.example.com/products/down-jacket",
"stage": "completed",
"verified": true,
"createdAt": "2026-11-15T01:00:00.000Z",
"completedAt": "2026-11-15T01:00:00.000Z",
"edge": {
"agent": {
"status": 200,
"rendering": "HIT",
"renderedAt": "2026-11-14T09:30:00.000Z",
"error": null
},
"visitor": {
"status": 200,
"rendering": "MISS",
"renderedAt": null,
"error": null
},
"problem": null
},
"visit": null,
"creditsCharged": 0,
"chatgpt": null
}
}{
"success": true,
"verification": {
"id": "7d0f6a1e-93b2-4f0b-8f6e-5a2c1d9e4b70",
"siteId": "5b0e9f52-6a3c-4f0e-8d0b-2c7e4a1f9d33",
"url": "https://www.example.com/products/down-jacket",
"stage": "asking_chatgpt",
"verified": true,
"createdAt": "2026-11-15T01:00:00.000Z",
"completedAt": null,
"edge": {
"agent": {
"status": 200,
"rendering": "HIT",
"renderedAt": "2026-11-14T09:30:00.000Z",
"error": null
},
"visitor": {
"status": 200,
"rendering": "MISS",
"renderedAt": null,
"error": null
},
"problem": null
},
"chatgpt": {
"taskId": "0b6c1f7e-2d4a-4c55-9a0e-3f1d2b7c8e91",
"askedUrl": "https://www.example.com/products/down-jacket?utm_id=qv7d0f6a1e93b24f0b8f6e5a2c1d9e4b70",
"questions": [
"What is the fill power of the jacket?"
],
"answer": null
},
"visit": null,
"creditsCharged": 0
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}Corps
application/json
⌘I
Verify a site's integration
curl --request POST \
--url https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://www.example.com/products/down-jacket",
"questions": [
"What is the fill power of the jacket?"
]
}
'import requests
url = "https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications"
payload = {
"url": "https://www.example.com/products/down-jacket",
"questions": ["What is the fill power of the jacket?"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://www.example.com/products/down-jacket',
questions: ['What is the fill power of the jacket?']
})
};
fetch('https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://www.example.com/products/down-jacket',
'questions' => [
'What is the fill power of the jacket?'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications"
payload := strings.NewReader("{\n \"url\": \"https://www.example.com/products/down-jacket\",\n \"questions\": [\n \"What is the fill power of the jacket?\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://www.example.com/products/down-jacket\",\n \"questions\": [\n \"What is the fill power of the jacket?\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/ai-rendering/sites/{id}/verifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://www.example.com/products/down-jacket\",\n \"questions\": [\n \"What is the fill power of the jacket?\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"verification": {
"id": "7d0f6a1e-93b2-4f0b-8f6e-5a2c1d9e4b70",
"siteId": "5b0e9f52-6a3c-4f0e-8d0b-2c7e4a1f9d33",
"url": "https://www.example.com/products/down-jacket",
"stage": "completed",
"verified": true,
"createdAt": "2026-11-15T01:00:00.000Z",
"completedAt": "2026-11-15T01:00:00.000Z",
"edge": {
"agent": {
"status": 200,
"rendering": "HIT",
"renderedAt": "2026-11-14T09:30:00.000Z",
"error": null
},
"visitor": {
"status": 200,
"rendering": "MISS",
"renderedAt": null,
"error": null
},
"problem": null
},
"visit": null,
"creditsCharged": 0,
"chatgpt": null
}
}{
"success": true,
"verification": {
"id": "7d0f6a1e-93b2-4f0b-8f6e-5a2c1d9e4b70",
"siteId": "5b0e9f52-6a3c-4f0e-8d0b-2c7e4a1f9d33",
"url": "https://www.example.com/products/down-jacket",
"stage": "asking_chatgpt",
"verified": true,
"createdAt": "2026-11-15T01:00:00.000Z",
"completedAt": null,
"edge": {
"agent": {
"status": 200,
"rendering": "HIT",
"renderedAt": "2026-11-14T09:30:00.000Z",
"error": null
},
"visitor": {
"status": 200,
"rendering": "MISS",
"renderedAt": null,
"error": null
},
"problem": null
},
"chatgpt": {
"taskId": "0b6c1f7e-2d4a-4c55-9a0e-3f1d2b7c8e91",
"askedUrl": "https://www.example.com/products/down-jacket?utm_id=qv7d0f6a1e93b24f0b8f6e5a2c1d9e4b70",
"questions": [
"What is the fill power of the jacket?"
],
"answer": null
},
"visit": null,
"creditsCharged": 0
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}